roar_connect(3)

NAME
roar_connect, roar_connect2 - connects to RoarAudio's sound server

SYNOPSIS

#include <roaraudio.h>

int roar_connect(struct roar_connection * con, char * server); int roar_connect2 (struct roar_connection * con, char * server, int flags, uint_least32_t timeout);

DESCRIPTION
Connects to RoarAudio's sound server. This calls just connects to the sound server without any authentication or identify. Do not use this from end user applications. Use roar_simple_connect(3) or roar_simple_connect2(3).

PARAMETERS

con The connection object to be filled with the data needed to talk to the server used by nearly all other calls.

server
    The server to connect to.

flags
    Flags used to connect to the server. Currently only ROAR_ENUM_FLAG_NONE and ROAR_ENUM_FLAG_NONBLOCK are supported. ROAR_ENUM_FLAG_NONBLOCK disables some of the server location features.

timeout
    Timeout for the connection. A value of zero means no timeout. Currently timeouts are not supported.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
See libroar/simple.c, roar_simple_connect(3).

SEE ALSO
roar_simple_connect(3), libroar(7), RoarAudio(7).